/*:
 # Overview
 - - - - - - - - - -
 There are three types of design patterns:
 
 1. **Structural patterns** describe how objects are composed to form larger subsystems.
 Examples of structural patterns are:
 
 - [Model-View-ViewModel (MVVM)](MVVM)
 - [Facade](Facade)
 
 
 2. **Behavioral patterns** describe how objects communicate with each other.
 Examples of behavioral patterns are:
 
 - [Adapter](Adapter)
 - [Iterator](Iterator)
 - [State](State)
 - [Multicast Delegate](MulticastDelegate)
 
 3. **Creational patterns** instantiate or "create" objects for you.
 Examples of creational patterns are:
 
 - [Factory](Factory)
 - [Prototype](Prototype)
 
 */
